# (Q2)
# Find news items where the Foobar Corporation and one or more of
# its partners are mentioned in the same paragraph and/or title.
# List each news item by its title and date.

LET $foobar_partners := document("data\text-company.xml")//company[name = "Foobar Corporation"]//partner
FOR $item IN document("data\text-data.xml")//news_item
WHERE
    SOME $t IN $item//title SATISFIES
       (contains($t/text(), "Foobar Corporation")
        AND SOME $partner IN $foobar_partners SATISFIES
              contains($t/text(), $partner/text())
       )
    OR SOME $par IN $item//par SATISFIES
       (contains($par/text(), "Foobar Corporation")
        AND SOME $partner IN $foobar_partners SATISFIES
              contains($par/text(), $partner/text())
       )
RETURN
    <news_item>
       {$item/title}
       {$item/date}
    </news_item>

# Note that $t might be bound to the title of the news item
# or to the title of a figure inside the news item


