# (Q3)
# Find titles of news items where Foobar Corporation and one or more of its
# partners are mentioned in the same sentence, but none of its competitors
# are mentioned in the news item. (The "." character designates the end of
# a sentence.)

LET $foobar_partners := document("data\text-company.xml")//company[name = "Foobar Corporation"]//partner,
     $foobar_competitors := document("data\text-company.xml")//company[name = "Foobar Corporation"]//competitor
FOR $item IN document("data\text-data.xml")//news_item
WHERE SOME $partner IN $foobar_partners SATISFIES
    contains_in_same_sentence(string($item/content),
       "Foobar Corporation", $partner/text())
AND NOT(SOME $competitor IN $foobar_competitors SATISFIES
    contains( string($item/content), $competitor/text() ))
RETURN $item/title


