# (Q4)
# Find news items where a company and one of its partners is mentioned
# in the same news item and the news item is not authored by the company itself.

FOR $item IN document("data\text-data.xml")//news_item,
     $c IN document("data\text-company.xml")//company
LET $partners := $c//partner
WHERE contains( string($item), $c/name/text() )
   AND SOME $p IN $partners SATISFIES contains( string($item), $p/text() )
   AND $item/news_agent != $c/name
RETURN $item


