# (Q6)
# Find news items where two company names and some form of the word "acquire" appear
# in the title or in the same sentence in one of the paragraphs. A company name is
# defined as the content of a <name>, <partner>, or <competitor> element within
# a <company> element.
LET $compdoc := document("data\text-company.xml")//company
    ,$companies := distinct( $compdoc/name/text()
                       UNION $compdoc//partner/text()
                       UNION $compdoc//competitor/text() )
Return distinct(
 FOR $item IN document("data\text-data.xml")//news_item
     ,$item_title IN $item/title
     ,$item_para IN $item//par
     ,$c1 IN $companies
     ,$c2 IN $companies
WHERE $c1 != $c2
   AND contains_stems_in_same_sentence($item_title/text(), $c1, $c2, "acquire")
    OR contains_stems_in_same_sentence($item_para/text(), $c1, $c2, "acquire")
RETURN $item)


